### Home Classes Methods

### In Files

- lib/needle/interceptor-chain.rb

### Parent

Object

### Methods

- ::new

### Files

- README

### Class/Module Index

Quicksearch

- Needle
- Needle::Bug
- Needle::Container
- Needle::DefinitionContext
- Needle::IncludeExclude
- Needle::Interceptor
- Needle::Interceptor::DynamicInterceptor
- Needle::InterceptorChainBuilder
- Needle::InterceptorChainBuilder::InterceptedServiceProxy
- Needle::InterceptorChainBuilder::InterceptorChainElement
- Needle::InterceptorChainBuilder::ProxyObjectChainElement
- Needle::InterceptorConfigurationError
- Needle::Lifecycle
- Needle::Lifecycle::Deferred
- Needle::Lifecycle::Initialize
- Needle::Lifecycle::Multiton
- Needle::Lifecycle::Proxy
- Needle::Lifecycle::Singleton
- Needle::Lifecycle::Threaded
- Needle::LogFactory
- Needle::Logger
- Needle::LoggingInterceptor
- Needle::NeedleError
- Needle::Pipeline
- Needle::Pipeline::Collection
- Needle::Pipeline::Collection::BlockElement
- Needle::Pipeline::Element
- Needle::Pipeline::InterceptorElement
- Needle::QueryableMutex
- Needle::Registry
- Needle::ServiceNotFound
- Needle::ServicePoint
- Needle::Version

No matching classes.

# Needle::InterceptorChainBuilder::InterceptedServiceProxy

This is just a trivial proxy class that is used to wrap a service before the interceptors are applied to it. This additional level of abstraction prevents the need for mangling the names of the service’s methods, and also offers those applications that need it the ability to invoke methods of the service without going through the interceptors.

The proxy will be decorated with dynamically appended methods by the InterceptorChainBuilder#build method.

### Public Class Methods

new( chain ) click to toggle source

Create a new InterceptedServiceProxy that wraps the given interceptor chain.

    # File lib/needle/interceptor-chain.rb, line 91
    def initialize( chain )
      @chain = chain
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.